#
# Copyright (c) 2008-2015 Thierry Florac <tflorac AT ulthar.net>
# All Rights Reserved.
#
# This software is subject to the provisions of the Zope Public License,
# Version 2.1 (ZPL).  A copy of the ZPL should accompany this distribution.
# THIS SOFTWARE IS PROVIDED "AS IS" AND ANY AND ALL EXPRESS OR IMPLIED
# WARRANTIES ARE DISCLAIMED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
# WARRANTIES OF TITLE, MERCHANTABILITY, AGAINST INFRINGEMENT, AND FITNESS
# FOR A PARTICULAR PURPOSE.
#

__docformat__ = 'restructuredtext'


# import standard library

# import interfaces
from pyams_form.interfaces.form import IFormLayer
from z3c.form.interfaces import IWidget, IBoolTerms
from zope.schema.interfaces import IBool

# import packages
from pyams_utils.adapter import adapter_config
from z3c.form.term import BoolTerms as BaseBoolTerms
from zope.interface import implementer_only, Interface

from pyams_utils import _


@adapter_config(context=(Interface, IFormLayer, Interface, IBool, IWidget), provides=IBoolTerms)
@implementer_only(IBoolTerms)
class BoolTerms(BaseBoolTerms):
    """Default yes and no terms are used by default for IBool fields."""

    trueLabel = _('yes')
    falseLabel = _('no')
